# CraftPresence

## [v1.5.2](https://github.com/CDAGaming/CraftPresence-Wow-Edition/tree/v1.5.2) (2021-06-03)
[Full Changelog](https://github.com/CDAGaming/CraftPresence-Wow-Edition/compare/v1.5.0...v1.5.2) [Previous Releases](https://github.com/CDAGaming/CraftPresence-Wow-Edition/releases)

- [Fix] Fixed a typo in `COMMAND\_CREATE\_CONFLICT`  
    - Removed an unneeded singular term from the text to be more readable.  
- [Change] Added `tableMetaKey`  
    - This setting is for advanced users only, and controls the way metadata values are created within the placeholder and conditional tables. The primary use-case for this is to re-allow placeholders or conditions to be created using any character that isn't the metaKey, and allow the metaKey to be adapted for any user's case (Saying for example, if you want a custom placeholder to begin with an underscore, you can change the tableMetaKey to allow such placeholder to be parsed while not breaking addon functions).  
- [Backend] Optimize conditional and query data with `GetOrDefault` calls  
- [Change] Added `showWelcomeMessage`  
    - Allows the ability to toggle the initial addon logging. With this commit, it is now possible to configure the addon to be completely silent in logging except for certain errors/warnings.  
- [Change] Adjusted some configuration setting to prepare for changes  
    - [Change] Added sanity cases to Image Keys to disallow entries longer then 32 characters (Discord limitation)  
    - (Backend) `largeImageKey` and `smallImageKey` now have a width of 1.50 and are on the same line. This will free up room for the new `showWelcomeMessage` option I'm adding soon.  
